<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::BuildingTile Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1BuildingTile.html">BuildingTile</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classgg_1_1BuildingTile-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::BuildingTile Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="BuildingTile_8hpp_source.html">BuildingTile.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::BuildingTile:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1BuildingTile.png" usemap="#gg::BuildingTile_map" alt=""/>
  <map id="gg::BuildingTile_map" name="gg::BuildingTile_map">
<area href="classgg_1_1Tile.html" alt="gg::Tile" shape="rect" coords="69,56,198,80"/>
<area href="classgg_1_1IEventSubscriber.html" alt="gg::IEventSubscriber" shape="rect" coords="139,0,268,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a705937dd71116d5ee6bd6f2869e6bb3b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1BuildingTile.html#a705937dd71116d5ee6bd6f2869e6bb3b">BuildingTile</a> (<a class="el" href="classgg_1_1Attributes.html">Attributes</a> &amp;attributes)</td></tr>
<tr class="separator:a705937dd71116d5ee6bd6f2869e6bb3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77adc5a8244e48413334a56c51380aa7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1BuildingTile.html#a77adc5a8244e48413334a56c51380aa7">~BuildingTile</a> () override=default</td></tr>
<tr class="separator:a77adc5a8244e48413334a56c51380aa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f6d02f81f64d831817c3e37f537b8ca"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1BuildingTile.html#a7f6d02f81f64d831817c3e37f537b8ca">IsResidential</a> () -&gt; bool</td></tr>
<tr class="separator:a7f6d02f81f64d831817c3e37f537b8ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47c85b1dd1592f7de2cdd05b934f52e9"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1BuildingTile.html#a47c85b1dd1592f7de2cdd05b934f52e9">IsIndustrial</a> () -&gt; bool</td></tr>
<tr class="separator:a47c85b1dd1592f7de2cdd05b934f52e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb1bf688f0fa132bce941e632ea65694"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1BuildingTile.html#adb1bf688f0fa132bce941e632ea65694">GetAttributes</a> () -&gt; <a class="el" href="classgg_1_1Attributes.html">Attributes</a> override</td></tr>
<tr class="separator:adb1bf688f0fa132bce941e632ea65694"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a662c2a65a476d31a4958f9c9c1a1ef18"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1BuildingTile.html#a662c2a65a476d31a4958f9c9c1a1ef18">GetTileType</a> () -&gt; <a class="el" href="namespacegg.html#a08ccf34451b5441314600ac46113a9f6">TileType</a> override</td></tr>
<tr class="separator:a662c2a65a476d31a4958f9c9c1a1ef18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1308da3c38bb6a81a8cd135145662b55"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1BuildingTile.html#a1308da3c38bb6a81a8cd135145662b55">GetCost</a> () -&gt; unsigned int</td></tr>
<tr class="separator:a1308da3c38bb6a81a8cd135145662b55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f7b2d4315bab48a232bbfe23c0ba5d3"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1BuildingTile.html#a2f7b2d4315bab48a232bbfe23c0ba5d3">GetPopulation</a> () -&gt; unsigned int</td></tr>
<tr class="separator:a2f7b2d4315bab48a232bbfe23c0ba5d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67662dd1d7c62d5835c5120b723ba1e5"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1BuildingTile.html#a67662dd1d7c62d5835c5120b723ba1e5">GetProfit</a> () -&gt; unsigned int</td></tr>
<tr class="separator:a67662dd1d7c62d5835c5120b723ba1e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dfa2cdebf498afa210e42ef5f1fffa6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1BuildingTile.html#a2dfa2cdebf498afa210e42ef5f1fffa6">Align</a> () override</td></tr>
<tr class="separator:a2dfa2cdebf498afa210e42ef5f1fffa6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1Tile"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1Tile')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td></tr>
<tr class="memitem:ad5401c7e1b74b3c556b1960d150c15f1 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#ad5401c7e1b74b3c556b1960d150c15f1">draw</a> (sf::RenderTarget &amp;target, sf::RenderStates states) const override</td></tr>
<tr class="separator:ad5401c7e1b74b3c556b1960d150c15f1 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76d15a17d011f27adcd9defccf00f520 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a76d15a17d011f27adcd9defccf00f520">Update</a> ()</td></tr>
<tr class="separator:a76d15a17d011f27adcd9defccf00f520 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7266360d4b7b0603596252ffb1edce51 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a7266360d4b7b0603596252ffb1edce51">Tile</a> (sf::Vector2f coordinates, sf::Texture &amp;texture, std::string texture_name, unsigned rotation)</td></tr>
<tr class="separator:a7266360d4b7b0603596252ffb1edce51 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e180f4be66ea12ad1e2a95a66fad2e7 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a3e180f4be66ea12ad1e2a95a66fad2e7">~Tile</a> () override=0</td></tr>
<tr class="separator:a3e180f4be66ea12ad1e2a95a66fad2e7 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ccfd1b779c329f0db0434c7c84fb326 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a6ccfd1b779c329f0db0434c7c84fb326">GetAttributes</a> () -&gt; <a class="el" href="classgg_1_1Attributes.html">Attributes</a>=0</td></tr>
<tr class="separator:a6ccfd1b779c329f0db0434c7c84fb326 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5df93094d59293b454a041b1fc780b51 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a5df93094d59293b454a041b1fc780b51">GetTileType</a> () -&gt; <a class="el" href="namespacegg.html#a08ccf34451b5441314600ac46113a9f6">TileType</a>=0</td></tr>
<tr class="separator:a5df93094d59293b454a041b1fc780b51 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a389b4f46707f195fa2ed2e22ec221cb6 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a389b4f46707f195fa2ed2e22ec221cb6">GetVertices</a> () -&gt; <a class="el" href="structgg_1_1TileVertices.html">TileVertices</a></td></tr>
<tr class="separator:a389b4f46707f195fa2ed2e22ec221cb6 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6c613329acd85d3a7ebf194ae5fa763 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#af6c613329acd85d3a7ebf194ae5fa763">GetCoordinates</a> () -&gt; sf::Vector2f</td></tr>
<tr class="separator:af6c613329acd85d3a7ebf194ae5fa763 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53d8865c694dfb8240eddce9fe1d6254 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a53d8865c694dfb8240eddce9fe1d6254">GetTexture</a> () -&gt; sf::Texture *</td></tr>
<tr class="separator:a53d8865c694dfb8240eddce9fe1d6254 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6b1fa9f1db1fb5aacb6bfb5f2984ad9 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#ad6b1fa9f1db1fb5aacb6bfb5f2984ad9">GetTextureName</a> () const -&gt; const std::string &amp;</td></tr>
<tr class="separator:ad6b1fa9f1db1fb5aacb6bfb5f2984ad9 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa73c8e60689b326a699777bf379ed67f inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#aa73c8e60689b326a699777bf379ed67f">SetTexture</a> (std::string &amp;)</td></tr>
<tr class="separator:aa73c8e60689b326a699777bf379ed67f inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0191b303c80a99a08d039b5bf750634c inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a0191b303c80a99a08d039b5bf750634c">SetCoordinates</a> (sf::Vector2f)</td></tr>
<tr class="separator:a0191b303c80a99a08d039b5bf750634c inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ac25ea653262607007c15e5d68f9685 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a3ac25ea653262607007c15e5d68f9685">GetOrientation</a> () -&gt; unsigned</td></tr>
<tr class="separator:a3ac25ea653262607007c15e5d68f9685 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10ad4cf3efcbf28f9619728645dbf177 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a10ad4cf3efcbf28f9619728645dbf177">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e) override</td></tr>
<tr class="separator:a10ad4cf3efcbf28f9619728645dbf177 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1IEventSubscriber"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1IEventSubscriber')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td></tr>
<tr class="memitem:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08d412b35e08386f265840cd3652c8fc">IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a574e684bfb29123ae250769873231cd8">~IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ac8aebcb4316a65f73f794a924e5619ee">operator==</a> (const <a class="el" href="classgg_1_1IEventSubscriber.html">IEventSubscriber</a> &amp;) -&gt; bool</td></tr>
<tr class="separator:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a961a23b00ee141313a4c8f7a505f3cb8">GetNumberOfSubscribedEvents</a> () const -&gt; size_t</td></tr>
<tr class="separator:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ad78398900f7d14a9594e243e115e7ad0">IncrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a87ad672a9db8b804deca81b7c4e6723f">DecrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a44c244803f071939ab0822ec856903db">ResetNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a0b1b126c456b05e095ce62b931c988b4"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1BuildingTile.html#a0b1b126c456b05e095ce62b931c988b4">BuildingTypeToString</a> (<a class="el" href="namespacegg.html#afb77ddca9a821769e28d7b0890ba4a69">BuildingType</a> type) -&gt; std::string</td></tr>
<tr class="separator:a0b1b126c456b05e095ce62b931c988b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a850ccd2fa718bf711ee353da2309f7d1"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1BuildingTile.html#a850ccd2fa718bf711ee353da2309f7d1">StringToBuildingType</a> (const std::string &amp;str) -&gt; <a class="el" href="namespacegg.html#afb77ddca9a821769e28d7b0890ba4a69">BuildingType</a></td></tr>
<tr class="separator:a850ccd2fa718bf711ee353da2309f7d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classgg_1_1Tile"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classgg_1_1Tile')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td></tr>
<tr class="memitem:a16878527ccba59914b345b7cf314df94 inherit pro_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a16878527ccba59914b345b7cf314df94">OnMouseMoved</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a16878527ccba59914b345b7cf314df94 inherit pro_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a301a080e5cdb580c2224a9548de9d753 inherit pro_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a301a080e5cdb580c2224a9548de9d753">OnMousePressed</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a301a080e5cdb580c2224a9548de9d753 inherit pro_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d29c8525bf4ff2360d8ed2da06417a2 inherit pro_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a1d29c8525bf4ff2360d8ed2da06417a2">OnKeyboardReleased</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a1d29c8525bf4ff2360d8ed2da06417a2 inherit pro_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79fb964ccb4a15eafbca90b4de886c63 inherit pro_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a79fb964ccb4a15eafbca90b4de886c63">Align</a> ()=0</td></tr>
<tr class="separator:a79fb964ccb4a15eafbca90b4de886c63 inherit pro_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classgg_1_1Tile"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classgg_1_1Tile')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td></tr>
<tr class="memitem:aa41280d666d951b77e2b350abe440b57 inherit pro_attribs_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">sf::Texture *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#aa41280d666d951b77e2b350abe440b57">mTexture</a></td></tr>
<tr class="separator:aa41280d666d951b77e2b350abe440b57 inherit pro_attribs_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a716d8b8c491751d505c16efdfdb09ffd inherit pro_attribs_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a716d8b8c491751d505c16efdfdb09ffd">mCoordinates</a></td></tr>
<tr class="separator:a716d8b8c491751d505c16efdfdb09ffd inherit pro_attribs_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac25ae0051a743d6d2268055b9b2a80f7 inherit pro_attribs_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">sf::Sprite&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#ac25ae0051a743d6d2268055b9b2a80f7">mSprite</a></td></tr>
<tr class="separator:ac25ae0051a743d6d2268055b9b2a80f7 inherit pro_attribs_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2075c2d7f3e48756092e2ffc4285119 inherit pro_attribs_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#ab2075c2d7f3e48756092e2ffc4285119">mTextureName</a></td></tr>
<tr class="separator:ab2075c2d7f3e48756092e2ffc4285119 inherit pro_attribs_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f5447e844dced086af932cd654624b8 inherit pro_attribs_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a1f5447e844dced086af932cd654624b8">mRotation</a> = 0</td></tr>
<tr class="separator:a1f5447e844dced086af932cd654624b8 inherit pro_attribs_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a705937dd71116d5ee6bd6f2869e6bb3b" name="a705937dd71116d5ee6bd6f2869e6bb3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a705937dd71116d5ee6bd6f2869e6bb3b">&#9670;&nbsp;</a></span>BuildingTile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::BuildingTile::BuildingTile </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1Attributes.html">Attributes</a> &amp;&#160;</td>
          <td class="paramname"><em>attributes</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a77adc5a8244e48413334a56c51380aa7" name="a77adc5a8244e48413334a56c51380aa7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77adc5a8244e48413334a56c51380aa7">&#9670;&nbsp;</a></span>~BuildingTile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::BuildingTile::~BuildingTile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a2dfa2cdebf498afa210e42ef5f1fffa6" name="a2dfa2cdebf498afa210e42ef5f1fffa6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2dfa2cdebf498afa210e42ef5f1fffa6">&#9670;&nbsp;</a></span>Align()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::BuildingTile::Align </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1Tile.html#a79fb964ccb4a15eafbca90b4de886c63">gg::Tile</a>.</p>

</div>
</div>
<a id="a0b1b126c456b05e095ce62b931c988b4" name="a0b1b126c456b05e095ce62b931c988b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b1b126c456b05e095ce62b931c988b4">&#9670;&nbsp;</a></span>BuildingTypeToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::BuildingTile::BuildingTypeToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacegg.html#afb77ddca9a821769e28d7b0890ba4a69">BuildingType</a>&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td> -&gt;  std::string</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adb1bf688f0fa132bce941e632ea65694" name="adb1bf688f0fa132bce941e632ea65694"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb1bf688f0fa132bce941e632ea65694">&#9670;&nbsp;</a></span>GetAttributes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::BuildingTile::GetAttributes </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1Attributes.html">Attributes</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1Tile.html#a6ccfd1b779c329f0db0434c7c84fb326">gg::Tile</a>.</p>

</div>
</div>
<a id="a1308da3c38bb6a81a8cd135145662b55" name="a1308da3c38bb6a81a8cd135145662b55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1308da3c38bb6a81a8cd135145662b55">&#9670;&nbsp;</a></span>GetCost()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::BuildingTile::GetCost </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  unsigned int</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2f7b2d4315bab48a232bbfe23c0ba5d3" name="a2f7b2d4315bab48a232bbfe23c0ba5d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f7b2d4315bab48a232bbfe23c0ba5d3">&#9670;&nbsp;</a></span>GetPopulation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::BuildingTile::GetPopulation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  unsigned int</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a67662dd1d7c62d5835c5120b723ba1e5" name="a67662dd1d7c62d5835c5120b723ba1e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67662dd1d7c62d5835c5120b723ba1e5">&#9670;&nbsp;</a></span>GetProfit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::BuildingTile::GetProfit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  unsigned int</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a662c2a65a476d31a4958f9c9c1a1ef18" name="a662c2a65a476d31a4958f9c9c1a1ef18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a662c2a65a476d31a4958f9c9c1a1ef18">&#9670;&nbsp;</a></span>GetTileType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::BuildingTile::GetTileType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="namespacegg.html#a08ccf34451b5441314600ac46113a9f6">TileType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1Tile.html#a5df93094d59293b454a041b1fc780b51">gg::Tile</a>.</p>

</div>
</div>
<a id="a47c85b1dd1592f7de2cdd05b934f52e9" name="a47c85b1dd1592f7de2cdd05b934f52e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47c85b1dd1592f7de2cdd05b934f52e9">&#9670;&nbsp;</a></span>IsIndustrial()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::BuildingTile::IsIndustrial </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  bool</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7f6d02f81f64d831817c3e37f537b8ca" name="a7f6d02f81f64d831817c3e37f537b8ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f6d02f81f64d831817c3e37f537b8ca">&#9670;&nbsp;</a></span>IsResidential()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::BuildingTile::IsResidential </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  bool</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a850ccd2fa718bf711ee353da2309f7d1" name="a850ccd2fa718bf711ee353da2309f7d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a850ccd2fa718bf711ee353da2309f7d1">&#9670;&nbsp;</a></span>StringToBuildingType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::BuildingTile::StringToBuildingType </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>str</em></td><td>)</td>
          <td> -&gt;  <a class="el" href="namespacegg.html#afb77ddca9a821769e28d7b0890ba4a69">BuildingType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/tile/<a class="el" href="BuildingTile_8hpp_source.html">BuildingTile.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
